<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="UTF-8">
    <title>課題</title>
    <script>
        var data = [59, 39, 100, 2, 15, 40, 84, 97];
        var ave;  // 平均値

        // 関数calcを利用し平均値を計算
        ave = calc_ave(data);

        // 平均値を書き出し
        document.write(ave);

        // 関数calc_aveを定義
        function calc_ave(array) {
            var sum = 0;
            for (var i = 0; i < array.length; i++) {
                sum += array[i];
            }
 
            var ave = sum / array.length;
            return ave;
        }
    </script>
</head>
<body>
</body>
</html>